header {
    background-color: #34495E;
    padding: 20px;
    text-align: center;
    border-top: 1px solid #4A6572;
    margin-top: 20px;
    padding-bottom: 20px;
    color: white;
    position: relative;
}

header nav {
    display: flex;
    justify-content: center;
}

nav a {
    margin-left: 20px;
    text-decoration: none;
    color: white;
}

nav a:hover {
    color: #6C7A89;
}

.hamburger-icon {
    display: none;
    font-size: 1.5em;
    cursor: pointer;
    color: #D3D3D3;
}

.mobile-nav {
    display: flex;
}

@media (max-width: 768px) {
    .hamburger-icon {
        display: block;
    }

    .mobile-nav {
        display: none;
        flex-direction: column;
        background-color: #34495E;
        width: 100%;
        position: absolute;
        top: 60%;
        left: 0;
        max-height: 0;
        overflow: hidden;
        transition: max-height 0.3s ease-out;
        z-index: 10;
    }

    .mobile-nav a {
        padding: 10px;
        text-align: center;
    }

    .mobile-nav.active {
        display: flex;
        max-height: 500px;
    }
}